                <div class="module">Datenexport</div>
<?
  // Exportiere Daten auf Anfrage
  if ($export)
  {
      exportCSV($gesamtexport, true);
      $loggedIn->log("datenexport$action", $loggedIn->userId);
  }

  if ($deletefiles)
  {
      foreach ($deletefiles as $deletefile) {
          rename("$exportpath/$deletefile", "$exportpath/old/$deletefile");
      }
  }

  $myDir = opendir($exportpath);
  $files = array();
  while ($filename = readdir($myDir)) {
      if (filetype("$exportpath/$filename") == "file") {
          if (preg_match("/^U18/", $filename)) {
                  array_push($files, $filename);
          }
      }
  }
  closedir($myDir);
  sort($files);

  $now = time();
  $now = time();
  $year = date('Y',$now);
  $month = date('m',$now);
  $day = date('d',$now);
  $leastbirthday = ($year - 18) . "-" . $month . "-" . $day;
  $mostbirthday = ($year - 5) . "-" . $month . "-" . $day;
  // Pr�fe, wieviele Datens�tze noch nicht exportiert wurden.
  $query = "SELECT * from users WHERE status = 0 AND geburtsdatum > '$leastbirthday' AND geburtsdatum < '$mostbirthday' AND aenderungsdatum < $now";
  $result = dbQuery($query) or error("Konnte csv-Daten nicht aus der Datenbank holen: " . dbError());
#  print "Query: $query<br/>\n";
  $numRows = dbNumRows($result);

?>
<?
  if ($files) { ?>
                <br />
                <form action="<?=$_SERVER['PHP_SELF']?>" method="POST">
                  <fieldset class="fieldset"><legend>Exportierte Dateien</legend>
                    Folgende Dateien (U18) stehen zum Herunterladen bereit:<br><br>
                    <input type="hidden" name="module" value="<?=$module?>" />
                    <input type="hidden" name="action" value="<?=$action?>" />
                    <table>
<?
  foreach($files as $file) {
      $lines = `cat $exportpath/$file| wc -l`;
?>
                      <tr>
                        <td>
                          <a href="/<?=$dev?'dev/':''?>admin/downloadcsv.php?file=<?=$file?>"><?=$file?></a> (<?=$lines-1?> Eintr&auml;ge)
                        </td>
                        <td>
                          <input class="inputradio" type="checkbox" name="deletefiles[]" value="<?=$file?>" title="Datei zum L&ouml;schen markieren" />
                        </td>
                      </tr>
<? } ?>
                    </table>
                    <input type="submit" name="delete" class="inputsubmit" value="Dateien l&ouml;schen" /><br />
                  </fieldset>
                </form>
<? } 
  if ($numRows >= 0) {
?>
                <br />
                <form action="<?=$_SERVER['PHP_SELF']?>" method="POST">
                  <input type="hidden" name="module" value="<?=$module?>" />
                  <input type="hidden" name="action" value="<?=$action?>" />
                  <fieldset class="fieldset"><legend>Download erzeugen</legend>
                    Es stehen <strong><?=$numRows?></strong> neue Datens&auml;tze (U18) zum Herunterladen bereit.<br />
                    Datum des letzten Exports: <strong><?=getLastExport($action)?></strong><br />
                    <br />
                    Erzeugen sie hier eine neue Datei:<br>
                    <br />
                    <table>
                      <tr>
                        <td><font size="-2">Alle Datens&auml;tze<br /> exportieren?</font></td>
                        <td>
                          <input class="inputradio" type="checkbox" name="gesamtexport" value="1" title="Hiermit k&ouml;nnen Sie alle Teilnehmer in der Datenbank herunterladen." />
                        </td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>
                          <input type="submit" name="export" class="inputsubmit" value="Datei erzeugen" />
                        </td>
                      </tr>
                    </table>
                    <hr />
                    <p>
                    <a href="<?=$_SERVER['PHP_SELF']?>?module=export&action=old">Alte/gel&ouml;schte Exportdateien</a>
                    </p>

                  </fieldset>
                </form>
<? } ?>
